import { AfterViewInit, ElementRef, EventEmitter, QueryList } from '@angular/core';
import { ModalCloseDirective } from '../../directives/modal-close.directive';
import { ModalModel } from './modal.model';
export declare class ModalComponent implements AfterViewInit, ModalModel {
    static readonly defaultProps: ModalModel;
    closeElements: QueryList<ModalCloseDirective>;
    modalRef: ElementRef;
    backdropRef: ElementRef;
    onOpenEmitter: EventEmitter<void>;
    onCloseEmitter: EventEmitter<void>;
    className: string;
    dismissOnBackdrop: boolean;
    hasBackdrop: boolean;
    hasCloseButton: boolean;
    isOpen: boolean;
    transitionDuration: number;
    prefix: string;
    constructor();
    ngAfterViewInit(): void;
    setFunctionToCloseElements(): void;
    closeByBackdrop(event: Event): void;
    open(): void;
    close(): void;
}
